%global momorel 1
%define __libtoolize :

Name: gdl
Summary: Components and library for GNOME development tools.
Version: 2.26.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Libraries
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2 
NoSource: 0
URL: http://www.gnome.org/
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: libgnome-devel >= 2.26.0
BuildPrereq: libbonoboui-devel >= 2.24.1
BuildPrereq: libxml2-devel >= 2.7.3
BuildPrereq: libglade2-devel >= 2.6.4
BuildPrereq: librsvg2-devel >= 2.26.0
BuildPrereq: libgsf-devel >= 1.14.11
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and gIDE.

The current pieces of GDL include:

 - A code-editing bonboo component based on the Scintilla
   widget (scintilla-control).

 - A utility library that also contains the stubs and skels for
   the above components (gdl).

%package devel
Summary: Libraries and include files for gdl.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: libgnome-devel
Requires: libbonoboui-devel
Requires: libxml2-devel
Requires: libglade2-devel
Requires: librsvg2-devel >= 2.22.2-3m

%description devel
Libraries and header files if you want to make use of the gdl library in your
own programs.

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la
%dir %{_datadir}/gdl
%{_datadir}/locale/*/*/*

%files devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gdl/glade
%{_includedir}/libgdl-1.0
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Thu Mar  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Fri Feb 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.0-2m)
- rebuild against rpm-4.6

* Fri Sep 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.11-3m)
- rebuild against for librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.11-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.11-1m)
- update to 0.7.11

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-2m)
- %%NoSource -> NoSource

* Sat Jun 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.6-1m)
- update to 0.7.6

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.5-1m)
- update to 0.7.5

* Fri Jan 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.1-1m)
- update to 0.7.1

* Mon Jan 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.0-1m)
- update 0.7.0

* Mon Sep 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-4m)
- rebuild against glib-2.12.3 and gtk+-2.10.3
- revise %%install section

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-3m)
- delete libtool library

* Mon May 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-2m)
- revise %%file (conflict)

* Tue May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Tue May 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.0-1m)
- update to 0.5.0

* Mon Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-5m)
- rebuild against for gnome-common

* Mon Nov 29 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.0-4m)
- add patch1(gdl-0.4.0-string_h.patch)

* Wed Apr 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.0-3m)
- add patch0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-2m)
- rebuild against for libxml2-2.6.8

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-1m)
- version 0.4.0

* Fri Jul 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-7m)
- rebuild against for libcoroco-0.3.0

* Sat Apr 12 2003 Shingo AKagaki <dora@kitty.dnsalias.org>
- (0.3.0-6m)
- rebuild against for librsvg (libcroco).

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-5m)
- rebuild against for XFree86-4.3.0

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.0-4m)
  rebuild against openssl 0.9.7a

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-3m)
- fix URL
- add BuildPrereq: libgsf-devel

* Wed Jan 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-2m)
- fix defattr about files section

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-1m)
- created spec file
